Bug 480148 - Magic number checking on storable string failed
Magic number checking on storable string failed
Status: CLOSED DEFERRED
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space16
  Show dependency treegraph
 
Reported: 2009-01-15 07:46 EST by Michael Mráka
Modified: 2015-09-18 17:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-02 08:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2009-01-15 07:46:56 EST
Description of problem:
Perl related errors in /var/log/nocpulse/kernel-error.log during Monitoring start.

Version-Release number of selected component (if applicable):
spacewalk-monitoring-0.4.3-1.el5.noarch


How reproducible:
always

Steps to Reproduce:
1. install spacewalk 0.4
2. enable monitoring in webUI
3. service Monitoring restart
4. cat  /var/log/nocpulse/kernel-error.log
 
Actual results:
2009-01-15 13:33:21 Starting kernel
Magic number checking on storable string failed at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/thaw.al) line 366, at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Utils/XML.pm line 38


Expected results:
no errors

Additional info:
Comment 1 Jan Pazdziora 2010-11-19 11:02:25 EST
Mass-moving to space13.
Comment 2 Miroslav Suchý 2011-04-11 03:30:57 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 3 Miroslav Suchý 2011-04-11 03:36:13 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Jan Pazdziora 2011-07-20 07:48:22 EDT
Aligning under space16.
Comment 5 Jan Pazdziora 2011-09-02 08:11:26 EDT
To get the kernel.pl started (and thus to get /var/log/nocpulse/kernel*), scout has to be enabled and started as well.

Anyway, I don't see the Magic error with my Spacewalk nightly.

# rpm -q spacewalk-monitoring
spacewalk-monitoring-1.4.1-1.el5

Marking as DEFERRED.
Comment 6 Jan Hutař 2015-09-18 17:48:09 EDT
Maybe this was related to bug 1170064?

Note You need to log in before you can comment on or make changes to this bug.